com.trendmicro.ds.platform.rest.object.proxies

## Enum Proxy.Protocol

- java.lang.Object
- - java.lang.Enum<Proxy.Protocol>
  - - com.trendmicro.ds.platform.rest.object.proxies.Proxy.Protocol

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Proxy.Protocol>
  Enclosing class:
    Proxy

      public static enum Proxy.Protocol
      extends java.lang.Enum<Proxy.Protocol>

  Types of protocols supported by Deep Security for proxy access.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HTTP` This proxy will be accessed using HTTP / HTTPS.
    `SOCKS4` This proxy will be accessed using SOCKS4.
    `SOCKS5` This proxy will be accessed using SOCKS5.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Proxy.Protocol` | `forValue(int value)`
    `int` | `getValue()`
    `static Proxy.Protocol` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Proxy.Protocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTTP

          public static final Proxy.Protocol HTTP

      This proxy will be accessed using HTTP / HTTPS.

    - #### SOCKS4

          public static final Proxy.Protocol SOCKS4

      This proxy will be accessed using SOCKS4.

    - #### SOCKS5

          public static final Proxy.Protocol SOCKS5

      This proxy will be accessed using SOCKS5.

  - ### Method Detail

    - #### values

          public static Proxy.Protocol[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Proxy.Protocol c : Proxy.Protocol.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Proxy.Protocol valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static Proxy.Protocol forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.